#' @details
#' Contains specialised analyses and
#' visualisation tools for behavior change science.
#' These facilitate conducting determinant studies
#' (for example, using confidence interval-based
#' estimation of relevance, CIBER, or CIBERlite
#' plots), systematically developing, reporting,
#' and analysing interventions (for example, using
#' acyclic behavior change diagrams), and reporting
#' about intervention effectiveness (for example, using
#' the Numbers Needed for Change), and computing the
#' required sample size (using the Meaningful Change
#' Definition). This package is especially useful for
#' researchers in the field of behavior change or
#' health psychology and to behavior change
#' professionals such as intervention developers and
#' prevention workers.
#' @keywords internal
"_PACKAGE"
